<?php
/**
 * The template used for displaying page content
 *
 * @package WordPress
 * @subpackage AliTheDeveloperTemplate
 * @since AliTheDeveloperTemplate 1.0
 */
?>
<article id="post-<?php the_ID(); ?>" class="post" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="title">', '</h1>' ); ?>
	</header><!-- .entry-header -->

	<?php AliTheDeveloperTemplate_post_thumbnail(); ?>

	<div class="entry">
		<?php
		the_content();

		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'AliTheDeveloperTemplate' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'AliTheDeveloperTemplate' ) . ' </span>%',
			'separator'   => '<span class="screen-reader-text">, </span>',
		) );
		?>
	</div><!-- .entry-content -->

	<?php
		edit_post_link(
			sprintf(
				/* translators: %s: Name of current post */
				__( 'Edit<span class="screen-reader-text"> "%s"</span>', 'AliTheDeveloperTemplate' ),
				get_the_title()
			),
			'<footer class="entry-footer"><span class="edit-link">',
			'</span></footer><!-- .entry-footer -->'
		);
	?>
	<?php
	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif;
	?>

</article><!-- #post-### -->
